package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.GreenwaveCrossPO;
import net.wanji.databus.dao.entity.GreenwaveCrossPOExt;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/31 11:03
 */
@Repository
public interface GreenwaveCrossMapper {
    List<GreenwaveCrossPO> selectByGreenwaveId(Integer id);

    List<GreenwaveCrossPO> selectByGreenwaveIdAndKeyRoute(Integer greenwaveId);

    List<GreenwaveCrossPO> selectByKeyRoute();

    List<GreenwaveCrossPO> selectAll();

    List<GreenwaveCrossPOExt> selectAllWidthAndSpeed();
}
